JcaJceUtils (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.util

## Class JcaJceUtils

- java.lang.Object
- - org.bouncycastle.jcajce.util.JcaJceUtils

-     public class JcaJceUtils
      extends java.lang.Object

  General JCA/JCE utility methods.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASN1Encodable` | `extractParameters(java.security.AlgorithmParameters params)` Deprecated. use AlgorithmParametersUtils.extractParameters(AlgorithmParameters params)
    `static java.lang.String` | `getDigestAlgName(ASN1ObjectIdentifier digestAlgOID)` Deprecated. use MessageDigestUtils,getDigestName()
    `static void` | `loadParameters(java.security.AlgorithmParameters params, ASN1Encodable sParams)` Deprecated. use AlgorithmParametersUtils.loadParameters(AlgorithmParameters params, ASN1Encodable sParams)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### extractParameters

          public static ASN1Encodable extractParameters(java.security.AlgorithmParameters params)
                                                 throws java.io.IOException

      Deprecated. use AlgorithmParametersUtils.extractParameters(AlgorithmParameters params)
      Extract an ASN.1 encodable from an AlgorithmParameters object.
      Parameters:
        `params` - the object to get the encoding used to create the return value.
      Returns:
        an ASN.1 object representing the primitives making up the params parameter.
      Throws:
        `java.io.IOException` - if an encoding cannot be extracted.

    - #### loadParameters

          public static void loadParameters(java.security.AlgorithmParameters params,
                            ASN1Encodable sParams)
                                     throws java.io.IOException

      Deprecated. use AlgorithmParametersUtils.loadParameters(AlgorithmParameters params, ASN1Encodable sParams)
      Load an AlgorithmParameters object with the passed in ASN.1 encodable - if possible.
      Parameters:
        `params` - the AlgorithmParameters object to be initialised.
        `sParams` - the ASN.1 encodable to initialise params with.
      Throws:
        `java.io.IOException` - if the parameters cannot be initialised.

    - #### getDigestAlgName

          public static java.lang.String getDigestAlgName(ASN1ObjectIdentifier digestAlgOID)

      Deprecated. use MessageDigestUtils,getDigestName()
      Attempt to find a standard JCA name for the digest represented by the past in OID.
      Parameters:
        `digestAlgOID` - the OID of the digest algorithm of interest.
      Returns:
        a string representing the standard name - the OID as a string if none available.